FROM node:20-bullseye AS build

RUN node -v

# make the 'app' folder the current working directory
WORKDIR /app

COPY . .
FROM nginx
COPY --from=build /app/build/ /usr/share/nginx/html/

RUN rm /etc/nginx/conf.d/default.conf
COPY _nginx/nginx.conf /etc/nginx/conf.d



